#include <iostream>
using namespace std;

int main() {
    int n;
    cin>>n;
    int i=0;
    int s=0;
    int s1=0;
    int knjige[n];
    int knjigecopy[n];
    int knjigeveliki[n];
    int k=0;
    
    int pop;
    while(i<n){
        cin>>pop;
        knjige[i]=pop;
        knjigecopy[i]=pop;
        
        i++;
    }
    
    i=0;
   while(i<n){
       for(int j=i+1;j<n;j++){
           knjigecopy[i]=knjige[j];
           knjigecopy[j]=knjige[i];
           
           int ppp=0;
           while(ppp<n){
               if(ppp+1!=n){
                   if(knjigecopy[ppp]>knjigecopy[ppp+1]){
                        s++;
                   }
                   else if(knjigecopy[ppp]<knjigecopy[ppp+1]){
                       s1++;
                   }
               
                
               }
               ppp++;
           }
           if(s>k){
               k=s;
               int prop=0;
               while(prop<n){
                   knjigeveliki[prop]=knjigecopy[prop];
                   prop++;
               }
           }
           else if(s1>k){
               k=s1;
               int prop=0;
                while(prop<n){
                   knjigeveliki[prop]=knjigecopy[prop];
                   prop++;
               }
               
           }
           s=0;
           s1=0;
          knjigecopy[i]=knjige[i];
          knjigecopy[j]=knjige[j];
       }
       i++;
   }
   for(int kpp=0;kpp<n;kpp++){
       cout<<knjigeveliki[kpp]<<" ";
   }
   return 0;
}